X Display Attributes

Functions that set and retrieve X display attributes. More...

## Functions

EAPI Ecore_X_Display * | ecore_x_display_get (void)
| Retrieves the Ecore_X_Display handle used for the current X connection.
EAPI int | ecore_x_fd_get (void)
| Retrieves the X display file descriptor.
EAPI Ecore_X_Screen * | ecore_x_default_screen_get (void)
| Retrieves the Ecore_X_Screen handle used for the current X connection.
EAPI void | ecore_x_screen_size_get (const Ecore_X_Screen *screen, int *w, int *h)
| Retrieves the size of an Ecore_X_Screen.
EAPI int | ecore_x_screen_count_get (void)
| Retrieves the number of screens.
EAPI int | ecore_x_screen_index_get (const Ecore_X_Screen *screen)
| Retrieves the index number of the given screen.
EAPI Ecore_X_Screen * | ecore_x_screen_get (int idx)
| Retrieves the screen based on index number.
EAPI void | ecore_x_double_click_time_set (double t)
| Sets the timeout for a double and triple clicks to be flagged.
EAPI double | ecore_x_double_click_time_get (void)
| Retrieves the double and triple click flag timeout.

## Detailed Description

Functions that set and retrieve X display attributes.

## Function Documentation

## ecore_x_display_get()

EAPI Ecore_X_Display * ecore_x_display_get | ( | void |  | ) |

Retrieves the Ecore_X_Display handle used for the current X connection.

Returns
  The current X display.

Referenced by elm_quicklaunch_seed().

## ecore_x_fd_get()

EAPI int ecore_x_fd_get | ( | void |  | ) |

Retrieves the X display file descriptor.

Returns
  The current X display file descriptor.

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## ecore_x_default_screen_get()

EAPI Ecore_X_Screen * ecore_x_default_screen_get | ( | void |  | ) |

Retrieves the Ecore_X_Screen handle used for the current X connection.

Returns
  The current default screen.

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## ecore_x_screen_size_get()

EAPI void ecore_x_screen_size_get | ( | const Ecore_X_Screen * | screen,
|  | int * | w,
|  | int * | h )

Retrieves the size of an Ecore_X_Screen.

Parameters

  screen | the handle to the screen to query.
  w | where to return the width. May be NULL. Returns 0 on errors.
  h | where to return the height. May be NULL. Returns 0 on errors.

See also
  ecore_x_default_screen_get()

Since
  1.1

References EINA_SAFETY_ON_NULL_RETURN.

## ecore_x_screen_count_get()

EAPI int ecore_x_screen_count_get | ( | void |  | ) |

Retrieves the number of screens.

Returns
  The count of the number of screens.

Since
  1.1

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## ecore_x_screen_index_get()

EAPI int ecore_x_screen_index_get | ( | const Ecore_X_Screen * | screen | ) |

Retrieves the index number of the given screen.

Parameters

  screen | The screen for which the index will be retrieved.

Returns
  The index number of the screen.

Since
  1.1

References EINA_SAFETY_ON_NULL_RETURN_VAL.

Referenced by ecore_x_default_colormap_get(), ecore_x_default_depth_get(), and ecore_x_default_visual_get().

## ecore_x_screen_get()

EAPI Ecore_X_Screen * ecore_x_screen_get | ( | int | idx | ) |

Retrieves the screen based on index number.

Parameters

  idx | The index that will be used to retrieve the screen.

Returns
  The Ecore_X_Screen at this index.

Since
  1.1

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## ecore_x_double_click_time_set()

EAPI void ecore_x_double_click_time_set | ( | double | t | ) |

Sets the timeout for a double and triple clicks to be flagged.

This sets the time between clicks before the double_click flag is set in a button down event. If 3 clicks occur within double this time, the triple_click flag is also set.

Parameters

  t | The time in seconds

## ecore_x_double_click_time_get()

EAPI double ecore_x_double_click_time_get | ( | void |  | ) |

Retrieves the double and triple click flag timeout.

See ecore_x_double_click_time_set for more information.

Returns
  The timeout for double clicks in seconds.